Update a Page HTTP Callback

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
PUT /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

  • http_callback_id number Required

    id of the http callback

application/json

Body

  • name string
  • url string
  • feed_format string

    must match "json" or "xml"

  • feed_format_version number

    must be 9 or 10.

  • trigger_post_email string
  • content_type: `header` (string, optional) - must match "header" or "key_value_pair" string
  • key_value_pair_key (string, optional) - reuqired if content_type is "key_value_pair" string
  • error_email string

    must be valid email

  • notification_email string

    must be valid email

  • is_guaranteed_delivery boolean
  • mode string Required
  • secure_type string
  • is_disabled boolean
  • secure_key string Required

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id number Required

      the updated page http callback id

PUT /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
curl \
 --request PUT 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/self/pages/{page_id}/http_callbacks/{http_callback_id}' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '{
  "error_email": "support@iformbuilder.com",
  "notification_email": "support@iformbuilder.com"
}'
Request example
{
  "error_email": "support@iformbuilder.com",
  "notification_email": "support@iformbuilder.com"
}
Response examples (200)
{
  "id": 283
}